File: rules

package info (click to toggle)
libplist 1.12+git+1+e37ca00-0.3
  • links: PTS, VCS
  • area: main
  • in suites: stretch
  • size: 5,928 kB
  • ctags: 1,074
  • sloc: ansic: 5,099; cpp: 1,112; makefile: 190; sh: 18
file content (64 lines) | stat: -rwxr-xr-x 1,513 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
#!/usr/bin/make -f
#DH_VERBOSE=1

include /usr/share/dpkg/default.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

PYVER=$(shell pyversions -vd)

%:
	dh $@ --with python2,autoreconf

override_dh_auto_configure:
	dh_auto_configure -- PYTHON_VERSION=$(PYVER)

override_dh_auto_build:
	dh_auto_build
	doxygen doxygen.cfg

override_dh_install:
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/python*/*-packages/plist.so

	# Remove files we won't install
	rm -f $(CURDIR)/debian/tmp/usr/lib/python*/*-packages/plist.a
	rm -f $(CURDIR)/debian/tmp/usr/lib/python*/*-packages/plist.la
	rm -f $(CURDIR)/debian/tmp/usr/lib/*/*.la
	rm -f $(CURDIR)/debian/tmp/usr/lib/*/*.a

	dh_install --fail-missing

manpage_name = plistutil-$(DEB_VERSION_UPSTREAM).1

debian/$(manpage_name): debian/plistutil.1
	cp $< $@

override_dh_installman: debian/$(manpage_name)
	dh_installman

override_dh_link:
	dh_link
	dh_link -p libplist-utils /usr/share/man/man1/$(manpage_name).gz /usr/share/man/man1/plistutil.1.gz

override_dh_python2:
	# Only build for the current version of python, not all supported.
	dh_python2 --no-guessing-versions

override_dh_strip:
	dh_strip --dbg-package=libplist-dbg

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_auto_clean:
	dh_auto_clean
	rm -Rf docs/
	rm -f test/data/*.out

#override_dh_auto_test:
#Make the test suit fatal on supported arches (See README.Debian)
#ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386 kfreebsd-amd64 kfreebsd-amd64))
#	dh_auto_test
#else
#	dh_auto_test || true
#endif